summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /kde-misc/kdirstat
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'kde-misc/kdirstat')
-rw-r--r--kde-misc/kdirstat/Manifest1
-rw-r--r--kde-misc/kdirstat/kdirstat-2.7.5.ebuild30
-rw-r--r--kde-misc/kdirstat/metadata.xml8
3 files changed, 39 insertions, 0 deletions
diff --git a/kde-misc/kdirstat/Manifest b/kde-misc/kdirstat/Manifest
new file mode 100644
index 00000000000..d8edb61728a
--- /dev/null
+++ b/kde-misc/kdirstat/Manifest
@@ -0,0 +1 @@
+DIST k4dirstat-2.7.5.tar.bz2 225485 SHA256 20fcf97285c8e1836cec94b05dc4e3ae92e0f7e806cd278d46ec2c3287f5ff31 SHA512 57853c00c26cbef13523455c854e38da7eddfb4382c6143a25a2c43a319c4c03037cba44340097c0612a329f2308f0f1e54ffe8cf1329d8d05755231a50da895 WHIRLPOOL c37a2797caec7515fcaca93f9ca3d8103bfb151526d6c5148f19f58e673ae2f13e71b2d76f626c9d148ab402efeefa2a3f2747ad7c88e7c8f3a46cd3ef646419
diff --git a/kde-misc/kdirstat/kdirstat-2.7.5.ebuild b/kde-misc/kdirstat/kdirstat-2.7.5.ebuild
new file mode 100644
index 00000000000..cd1fc6ad207
--- /dev/null
+++ b/kde-misc/kdirstat/kdirstat-2.7.5.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KDE_LINGUAS="de fr hu it ja"
+inherit kde4-base
+
+DESCRIPTION="Nice KDE replacement to the du command"
+HOMEPAGE="https://bitbucket.org/jeromerobert/k4dirstat/"
+SRC_URI="https://bitbucket.org/jeromerobert/k4dirstat/get/k4dirstat-${PV}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="4"
+KEYWORDS="amd64 x86"
+IUSE="debug"
+
+DEPEND="$(add_kdeapps_dep libkonq)
+ sys-libs/zlib
+"
+RDEPEND="${DEPEND}"
+
+DOCS=( AUTHORS CREDITS TODO )
+
+src_unpack() {
+ # tarball contains git revision hash, which we don't want in the ebuild.
+ default
+ mv "${WORKDIR}"/*k4dirstat-* "${S}" || die
+}
diff --git a/kde-misc/kdirstat/metadata.xml b/kde-misc/kdirstat/metadata.xml
new file mode 100644
index 00000000000..f9265fe6d7b
--- /dev/null
+++ b/kde-misc/kdirstat/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>kde</herd>
+ <upstream>
+ <remote-id type="bitbucket">jeromerobert/k4dirstat</remote-id>
+ </upstream>
+</pkgmetadata>